CentOS Bug Tracker
CentOS Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0005816CentOS-6kernelpublic2012-07-10 23:172012-07-21 19:17
Reporterneochi 
PrioritynormalSeveritymajorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version6.3 
Target VersionFixed in Version6.3 
Summary0005816: Upgrade to CentOS 6.3 kernel breaks bonding 8021q VLAN tagging.
DescriptionUpgraded to CentOS 6.3 kernel 2.6.32-279.el6.x86_64.
Cannot reach system via network.

Rebooted into previous CentOS 6.2 kernel 2.6.32-220.23.1.el6.x86_64
Bonded/8021q config re-enables network connectivity.

Steps To ReproduceBoot into CentOS 6.3 kernel 2.6.32-279.el6.x86_64
Additional InformationReporting this under product version 6.2 as there is currently no 6.3 selection in the drop down box.
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0015396)
ryanwilliams (reporter)
2012-07-11 01:53

I too have the same problem, here is my configuration.

#/etc/sysconfig/network-scripts/ifcfg-bond0
DEVICE=bond0
BOOTPROTO=static
BONDING_OPTS="mode=balance-alb miimon=100"
ONBOOT=yes

#/etc/sysconfig/network-scripts/ifcfg-bond0.2
DEVICE=bond0.2
VLAN=yes
ONBOOT=yes
BOOTPROTO=static
IPADDR=192.168.3.5
NETMASK=255.255.255.0

#/etc/sysconfig/network-scripts/ifcfg-eth1
DEVICE=eth1
ONBOOT=no
SLAVE=yes
MASTER=bond0
HOTPLUG=no
BOOTPROTO=none

#/etc/sysconfig/network-scripts/ifcfg-eth3
DEVICE=eth3
ONBOOT=no
SLAVE=yes
MASTER=bond0
HOTPLUG=no
BOOTPROTO=none
(0015402)
tigalch (developer)
2012-07-11 13:10

This is a known bug which is mentioned in the release notes:
http://wiki.centos.org/Manuals/ReleaseNotes/CentOS6.3#head-d261fbe9e9ee7564690adf254c8c794cc561666f [^]
You could try the CentOS-Plus kernel - it contains a patch that should fix this problem (bugs.centos.org/view.php?id=4586)
(0015413)
neochi (reporter)
2012-07-11 19:42

Installed kernel-2.6.32-279.1.1.el6.centos.plus.x86_64 per recommendation this morning. 8021q/bonding VLAN tagging issues are resolved.

Q: Any idea when the patch will be applied to upstream ??
(0015414)
tigalch (developer)
2012-07-11 19:57

sorry,but no.

You can keep an eye on https://bugzilla.redhat.com/show_bug.cgi?id=834764 [^] changes regarding this issue upstream.

Keeping this bug open until resolved upstream.
(0015512)
tigalch (developer)
2012-07-19 20:03

The kernel released today (http://rhn.redhat.com/errata/RHBA-2012-1104.html [^]) reads like it solves this issue. The patches previously present in the CentOS-Plus kernel seem to be in this package (kudos to toracat). Once the release announcement is there please retest with the new upstream kernel.
(0015520)
neochi (reporter)
2012-07-21 01:13

Installed kernel-2.6.32-279.2.1.el6.x86_64

8021q VLAN tag issue resolved.
Okay to move to solved.

Many thanks to all for the fix making it upstream.
(0015524)
tigalch (developer)
2012-07-21 19:17

Fixed by kernel 2.6.32-279.2.1

- Issue History
Date Modified Username Field Change
2012-07-10 23:17 neochi New Issue
2012-07-11 01:53 ryanwilliams Note Added: 0015396
2012-07-11 13:10 tigalch Note Added: 0015402
2012-07-11 13:11 tigalch Product Version 6.2 => 6.3
2012-07-11 19:42 neochi Note Added: 0015413
2012-07-11 19:57 tigalch Note Added: 0015414
2012-07-11 19:57 tigalch Status new => acknowledged
2012-07-19 20:03 tigalch Note Added: 0015512
2012-07-21 01:13 neochi Note Added: 0015520
2012-07-21 19:17 tigalch Note Added: 0015524
2012-07-21 19:17 tigalch Status acknowledged => resolved
2012-07-21 19:17 tigalch Fixed in Version => 6.3
2012-07-21 19:17 tigalch Resolution open => fixed


Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker